`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:		 D.A. Heitman 
// 
// Create Date:    20:16:39 02/14/2011 
// Design Name: 
// Module Name:    Memory 
// Project Name: 
// Target Devices: Xylo-lm
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
/*
	Copyright: D.A. Heitman
    This file is part of a simple logic analyzer.

    This logic analyzer is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

     is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this logic analyzer.  If not, see <http://www.gnu.org/licenses/>.
*/

module Memory(
    input mClk,
    input Mem_Wr,
	 input [13:0] Mem_wAddr,
	 input [13:0] Mem_rAddr,
    input [15:0] Mem_wData,
	 output[15:0] Mem_rData
    );
SRam Sram1(.clka(mClk),.clkb(mClk),.wea(Mem_Wr),.addra(Mem_wAddr),.addrb(Mem_rAddr),.dina(Mem_wData),.doutb(Mem_rData));

endmodule
