// TriggerTabs.h : interface of the CTriggerTabs class
//
/////////////////////////////////////////////////////////////////////////////
/*
	Copyright: D.A. Heitman
    This file is part of a simple logic analyzer.

    This logic analyzer is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    logic analyzer is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this logic analyzer.  If not, see <http://www.gnu.org/licenses/>.
*/
#pragma once
#include "Trigger.h"
class CTriggerTabs : public CWindowImpl<CTriggerTabs,CTabCtrl>
{
	int		curTab;
public:
	CTrigger *	Trg[4];
	enum { IDD = IDC_TAB };

	BEGIN_MSG_MAP(CTrigger)
		MESSAGE_HANDLER(WM_LBUTTONDOWN, OnLButtonDown)
	END_MSG_MAP()

	LRESULT OnLButtonDown(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);

	CTriggerTabs(void);
	~CTriggerTabs(void);

	void Init();
	void Destroy();
};
