`timescale 1 ns/10 ps
module Decode_tb();

localparam  T=10; // clock period
reg mClk, Reset;

reg Execute=0;
reg[7:0] Cmd=0;

DecodeCmd Decode1(mClk,Reset,Execute,Cmd,
	ResetCmd,LoadClock,LoadPreAmble,SetMask,SetValue,Arm);

   // clock
   // 10 ns clock running forever
   always
   begin
      mClk = 1'b1;
      #(T/2);
      mClk = 1'b0;
      #(T/2);
   end

   // reset for the first half cycle
   initial
   begin
     Reset = 1'b1;
     #(T/2); 
     Reset = 1'b0;
   end

integer i;
initial
begin
	for(i=0;i<10;i=i+1)
	begin
		#(T*4);
		Cmd=i;
		Execute=1;
		#T;
		Execute=0;
	end
	
	$stop;
end

	
endmodule