`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 		 D.A. Heitman
// 
// Create Date:    20:11:35 02/14/2011 
// Design Name: 
// Module Name:    Display 
// Project Name: 
// Target Devices: Xylo-lm
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
/*
	Copyright: D.A. Heitman
    This file is part of a simple logic analyzer.

    This logic analyzer is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    logic analyzer is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this logic analyzer.  If not, see <http://www.gnu.org/licenses/>.
*/
module Display(input Clk, input[5:0] St, output[1:0] Led);

reg[24:0] Ct=0;
reg[1:0] DispCt=0;

wire[7:0] Stw ={2'b11,St};
assign Led={Stw[DispCt*2+1],Stw[DispCt*2]};

always @(posedge Clk) begin
	Ct<=Ct+1;
	end
	
always @(posedge Ct[24])begin
	DispCt<=DispCt+1;
	end
	
endmodule
